<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <body>
        <ui:component>
            <p:dialog
                id="AnexarU"
                header="Anexar Cliente"
                widgetVar="Anexarregistro"
                modal="true"
                resizable="false"
                closable="true"
                width="500" >
                <h:panelGroup id="detalleAnexar">
                    <br/><br/>
                    <h:form id="anexar">
                        <h:panelGrid columns="2" >
                            <p:column>
                                <h:outputLabel for="id" value="Id: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="id" value="#{clienteMB.id}" readonly="true" style="width: 150px"/>
                             </p:column>
                            
                            <p:column>
                                <h:outputLabel for="nombre" value="Nombre: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="nombre" value="#{clienteMB.nombre}" style="width: 350px" required="true" requiredMessage="El campo nombre es requerido"/>
                            </p:column>
                             
                            <p:column>
                                <h:outputLabel for="apellidos" value="Apellidos: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="apellidos" value="#{clienteMB.apellidos}" style="width: 350px" required="true" requiredMessage="El campo apellidos es requerido"/>
                            </p:column>
                             
                            <p:column>
                                <h:outputLabel for="pais" value="Pais: " style="font-weight: bold"/>
                            </p:column>
                            <p:column> 
                                <p:selectOneMenu id="pais" value="#{clienteMB.pais}" style="width:350px">
                                    <f:selectItem itemLabel="México" itemValue="México" />
                                </p:selectOneMenu>
                            </p:column>
                             
                            <p:column>
                                <h:outputLabel for="estado" value="Estado: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:selectOneMenu id="estado" value="#{clienteMB.estado}" style="width:350px">
                                    <f:selectItem itemLabel="Veracruz" itemValue="Veracruz" />
                                    <f:selectItem itemLabel="Aguascalientes" itemValue="Aguascalientes" />
                                    <f:selectItem itemLabel="Baja California" itemValue="Baja California" />
                                    <f:selectItem itemLabel="Baja California Sur" itemValue="Baja California Sur" />
                                    <f:selectItem itemLabel="Campeche" itemValue="Campeche" />
                                    <f:selectItem itemLabel="Chiapas" itemValue="Chiapas" />
                                    <f:selectItem itemLabel="Chihuahua" itemValue="Chihuahua" />
                                    <f:selectItem itemLabel="Coahuila" itemValue="Coahuila" />
                                    <f:selectItem itemLabel="Colima" itemValue="Colima" />
                                    <f:selectItem itemLabel="Ciudad de México" itemValue="Ciudad de México" />
                                    <f:selectItem itemLabel="Durango" itemValue="Durango" />
                                    <f:selectItem itemLabel="Guanajuato" itemValue="Guanajuato" />
                                    <f:selectItem itemLabel="Guerrero" itemValue="Guerrero" />
                                    <f:selectItem itemLabel="Hidalgo" itemValue="Hidalgo" />
                                    <f:selectItem itemLabel="Jalisco" itemValue="Jalisco" />
                                    <f:selectItem itemLabel="México" itemValue="México" />
                                    <f:selectItem itemLabel="Michoacán" itemValue="Michoacán" />
                                    <f:selectItem itemLabel="Morelos" itemValue="Morelos" />
                                    <f:selectItem itemLabel="Nayarit" itemValue="Nayarit" />
                                    <f:selectItem itemLabel="Nuevo León" itemValue="Nuevo León" />
                                    <f:selectItem itemLabel="Oaxaca" itemValue="Oaxaca" />
                                    <f:selectItem itemLabel="Puebla" itemValue="Puebla" />
                                    <f:selectItem itemLabel="Querétaro" itemValue="Querétaro" />
                                    <f:selectItem itemLabel="Quintana" itemValue="Quintana" />
                                    <f:selectItem itemLabel="San Luis Potosí" itemValue="San Luis Potosí" />
                                    <f:selectItem itemLabel="Sinaloa" itemValue="Sinaloa" />
                                    <f:selectItem itemLabel="Sonora" itemValue="Sonora" />
                                    <f:selectItem itemLabel="Tabasco" itemValue="Tabasco" />
                                    <f:selectItem itemLabel="Tamaulipas" itemValue="Tamaulipas" />
                                    <f:selectItem itemLabel="Tlaxcala" itemValue="Tlaxcala" />
                                    <f:selectItem itemLabel="Yucatán" itemValue="Yucatán" />
                                    <f:selectItem itemLabel="Zacatecas" itemValue="Zacatecas" />
                                    <f:selectItem itemLabel="Yucatán" itemValue="Yucatán" />
                                    <f:selectItem itemLabel="Zacatecas" itemValue="Zacatecas" />
                                </p:selectOneMenu>
                            </p:column>
                             
                            <p:column>
                                <p:commandButton 
                                    value="Alta" 
                                    style="font-size:  70%"
                                    action="#{clienteMB.anexarregistro()}">                        
                                </p:commandButton>
                            </p:column>   
                            <p:column>
                                <p:commandButton
                                    value="Cerrar"
                                    type="button"
                                    style="font-size:  70%" 
                                    onclick="PF('Anexarregistro').hide();">
                                </p:commandButton>
                            </p:column>
                        </h:panelGrid> 
                    </h:form>
                </h:panelGroup>
            </p:dialog>
        </ui:component>
    </body>
</html>
